#include "partition.h"
using namespace std;
#define ll long long
#define ff first
#define ss second
#define pb push_back
#define mod 1000000007
#define N 24
#define maxn 200005
std::vector<int> solve(std::vector<int> A) {
	vector<int> ans;
	map<int,bool> m;
	for(int i=0; i<A.size(); i++){
		if(!m[a[i]])ans.pb(i);
		m[a[i]]=1-m[a[i]];
	}
	for(int i=0; i<A.size(); i++){
		if(m[a[i]])ans.pb(i);
		m[a[i]]=1-m[a[i]];
	}
	return ans;
}